/*
  Copyright Earth People Technology Inc. 2013
  
  Data Collector Random Seed
  
  Platform: EPT-570-AP-U2
    
*/

  int AdcValue;
  int UpperAdcValue;

void setup()
{
  DDRD = B11111111; //Set Port D as outputs
  PORTD &= B11111111; //Turn on Port D pins
  
  DDRB = B00111111; //Set Port B as outputs
  PORTB &= B00000000; //Turn on Port B pins
  
 }

void loop ()
{
  
  delay(10); //Delay 10 ms
  
      // Read Analog Signal 0
      AdcValue = analogRead(0);
      PORTD = AdcValue;
      
      UpperAdcValue = (AdcValue & 0x0300)>>4;
     
      //Set the Address=1  
      PORTB = B00000010 | UpperAdcValue;
      //Write Enable Pin High
      PORTB = B00000011 | UpperAdcValue; 
      //De-assert the Write Enable Pin Address=1
      PORTB = B00000010 | UpperAdcValue;


      // Read Analog Signal 1
      AdcValue = analogRead(1);
      PORTD = AdcValue;
      
      UpperAdcValue = (AdcValue & 0x0300)>>4;
      
      //Set the Address=2 
      PORTB = B00000100 | UpperAdcValue;
      //Write Enable Pin High
      PORTB = B00000101 | UpperAdcValue;
      //De-assert the Write Enable Pin Address=2
      PORTB = B00000100 | UpperAdcValue;



      // Read Analog Signal 2
      AdcValue = analogRead(2);
      PORTD = AdcValue;
      
      UpperAdcValue = (AdcValue & 0x0300)>>4;   

      //Set the Address=3 
      PORTB = B00000110 | UpperAdcValue;
      //Write Enable Pin High
      PORTB = B00000111 | UpperAdcValue; 
      //De-assert the Write Enable Pin Address=3
      PORTB = B00000110 | UpperAdcValue;


      // Read Analog Signal 3
      AdcValue = analogRead(3);
      PORTD = AdcValue;
      
      UpperAdcValue = (AdcValue & 0x0300)>>4;

      //Set the Address=4 
      PORTB = B00001000 | UpperAdcValue;
      //Write Enable Pin High
      PORTB = B00001001 | UpperAdcValue;
      //De-assert the Write Enable Pin Address=4 
      PORTB = B00001000 | UpperAdcValue;
  

      // Read Analog Signal 4
      AdcValue = analogRead(4);
      PORTD = AdcValue;
      
      UpperAdcValue = (AdcValue & 0x0300)>>4;
      
      //Set the Address=5  
      PORTB = B00001010 | UpperAdcValue;
      //Write Enable Pin High 
      PORTB = B00001011 | UpperAdcValue;
      //De-assert the Write Enable Pin Address=5
      PORTB = B00001010 | UpperAdcValue;


      // Read Analog Signal 5
      AdcValue = analogRead(5);
      PORTD = AdcValue;
      
      UpperAdcValue = (AdcValue & 0x0300)>>4;
 
      //Set the Address=6  
      PORTB = B00001100 | UpperAdcValue;
      //Write Enable Pin High
      PORTB = B00001101 | UpperAdcValue; 
      //De-assert the Write Enable Pin Address=6
      PORTB = B00001100 | UpperAdcValue;

}
